# Analysis Groups

- [Create an Analysis Group](https://docs.predicthq.com/api/beam/analysis-groups/create-an-analysis-group.md): Creating an Analysis Group allows to aggregate Feature Importance for a number of Analyses
- [Update an Analysis Group](https://docs.predicthq.com/api/beam/analysis-groups/update-an-analysis-group.md): Update (replace) an existing Analysis Group.
- [Partially Update an Analysis Group](https://docs.predicthq.com/api/beam/analysis-groups/partially-update-an-analysis-group.md): Partially update an existing Analysis Group.
- [Delete an Analysis Group](https://docs.predicthq.com/api/beam/analysis-groups/delete-an-analysis-group.md): Delete an existing Analysis Group.
- [Search Analysis Groups](https://docs.predicthq.com/api/beam/analysis-groups/search-analysis-groups.md): Search for an existing Analysis Group.
- [Get an Analysis Group](https://docs.predicthq.com/api/beam/analysis-groups/get-an-analysis-group.md): Get an existing Analysis Group.
- [Refresh an Analysis Group](https://docs.predicthq.com/api/beam/analysis-groups/refresh-an-analysis-group.md): Re-run the Beam Analysis Group aggregation process.
- [Get Feature Importance for an Analysis Group](https://docs.predicthq.com/api/beam/analysis-groups/get-aggregated-feature-importance.md): Get Feature Importance data for an Analysis Group.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.predicthq.com/api/beam/analysis-groups.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
